=head1 NAME

B<liteimg> - Modify statelite image by creating a series of links.

=head1 SYNOPSIS

I<liteimg [-h| --help]>

I<liteimg  [-v| --version]>

I<liteimg [-o OS] [ -p profile] [-a architecture]>

I<liteimg imagename>

=head1 DESCRIPTION

This command modifies the statelite image by creating a series of links. 
It creates 2 levels of indirection so that files can be modified while in
their image state as well as during runtime. For example, a file like
<$imgroot>/etc/ntp.conf will have the following operations done to it:

I<    mkdir -p $imgroot/.default/etc>

I<    mkdir -p $imgroot/.statelite/tmpfs/etc>

I<    mv $imgroot/etc/ntp.conf $imgroot/.default/etc>

I<    cd $imgroot/.statelite/tmpfs/etc>

I<    ln -sf ../../../.default/etc/ntp.conf .>

I<    cd $imgroot/etc>

I<    ln -sf ../.statelite/tmpfs/etc/ntp.conf .>


When finished, the original file will reside in
I<$imgroot/.default/etc/ntp.conf>. I<$imgroot/etc/ntp.conf> will link to
I<$imgroot/.statelite/tmpfs/etc/ntp.conf> which will in turn link to
I<$imgroot/.default/etc/ntp.conf>

Note: If you make any changes to your litefile table after running liteimg then you will need to rerun liteimg again.

=head1 Parameters

I<imagename> specifies the name of a os image definition to be used. The specification for the image is storted in the I<osimage> table and I<linuximage> table.

=head1 OPTIONS


B<-h>          Display usage message.

B<-v>          Command Version.

B<-o>          Operating system (fedora8, rhel5, sles10,etc)

B<-p>          Profile (compute,service)

B<-a>          Architecture (ppc64,x86_64,etc)


=head1 RETURN VALUE

0 The command completed successfully.

1 An error has occurred.

=head1 EXAMPLES

1. To lite a fedora8 image for a compute node architecture x86_64 enter:

I<liteimg -o fedora8 -p compute -a x86_64>


=head1 FILES

/opt/xcat/bin/


=head1 NOTES

This command is part of the xCAT software product.

=head1 SEE ALSO

L<genimage(1)|genimage.1>


